Subject: Re: Network performance degradation from 2.6.11.12 to 2.6.16.20

From: Andi Kleen <[email-masked]>
Date: Mon, 19 Jun 2006 17:24:31 +0200

> If you use "pmtmr" try to reboot with kernel option "clock=tsc".

That's dangerous advice - when the system choses not to use
TSC it often has a reason.

> 
> On my Opteron AMD system i normally can route 400 kpps, but with 
> timesource "pmtmr" i could only route around 83 kpps.  (I found the timer 
> to be the issue by using oprofile).

Unless you're using packet sniffing or any other application
that requests time stamps on a socket then the timer shouldn't 
make much difference. Incoming packets are only time stamped
when someone asks for the timestamps.

-Andi